<?php
/**
 * Plugin Name: AggrePay - Indian Payment Gateway for Camptix
 * Plugin URI: https://aggrepay.in/
 * Description: AggrePay Payment Gateway for Camptix - Event Ticketing
 * Author: Stefen Rosario, Mallikarjun
 * Author URI: https://profiles.wordpress.org/stefenros96/
 * Version: 1.0.0
 * License: GPLv2 or later
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

// Add INR currency
add_filter( 'camptix_currencies', 'camptix_add_inr_currency1' );
function camptix_add_inr_currency1( $currencies ) {
	$currencies['INR'] = array(
		'label' => __( 'Indian Rupees', 'camptix' ),
		'format' => 'Rs. %s',
	);
	return $currencies;
}

// Load the Aggrepaypayments Payment Method
add_action( 'camptix_load_addons', 'camptix_aggrepaypayments_load_payment_method' );
function camptix_aggrepaypayments_load_payment_method() {
    
    define( 'CAMPTIX_AGGREPAYPAYMENTS_DIR', plugin_dir_path( __FILE__ ) );
	define( 'CAMPTIX_AGGREPAYPAYMENTS_URL', plugin_dir_url( __FILE__ ) . '/' );
	
	
	if ( ! class_exists( 'CampTix_Payment_Method_Aggrepaypayments' ) )
		require_once plugin_dir_path( __FILE__ ) . 'classes/class-camptix-payment-method-aggrepaypayments.php';
	camptix_register_addon( 'CampTix_Payment_Method_Aggrepaypayments' );
}

?>